<div class="container">
    <h1>
        <span class="label label-primary"><%= @blog_message.title.capitalize %> </span>
        <% if @blog_message.logbook %>
            &nbsp;&nbsp;&nbsp;
            <span class="label label-danger material-icons">local_library</span>
            <small><span class="label label-danger" ><%= @reviewcat %></span></small>
        <% end %>
    </h1>
    <strong><i>[<%= @blog_utilisateurs[@blog_message.utilisateur_id] %>]</i></strong>
    <hr>

    <!-- DATES AND KEYWORDS -->
    <h3><span class="label label-default"><%= I18n.t("blog_messages.show.dates_and_keywords") %></span></h3>
    <div class="row">
        <div class="col-sm-4">
            <strong><%= I18n.t("blog_messages.show.published_at") %> :</strong> <%= I18n.localize @blog_message.date, format: :long %><br>
            <span class="hidden-xs">
                <strong><%= I18n.t("blog_messages.show.created_at") %> :</strong> <%= I18n.localize @blog_message.created_at, format: :long %><br>
                <strong><%= I18n.t("blog_messages.show.updated_at") %> :</strong> <%= I18n.localize @blog_message.updated_at, format: :long %>
            </span>
        </div>
        <div class="col-sm-4">
            <strong><%= I18n.t("blog_messages.show.service") %> :</strong> <span class="label label-primary"><%= @blog_services[@blog_message.service_id] %></span><br>
            <strong><%= I18n.t("blog_messages.show.groupe") %> :</strong> <span class="label label-default"><%= @blog_groupes[@blog_message.groupe] %></span><br>
            <strong><%= I18n.t("blog_messages.show.classe") %> :</strong> <span class="label label-default"><%= @blog_classes[@blog_message.classe] %></span>
        </div>
        <div class="col-sm-4">
            <strong><%= I18n.t("blog_messages.show.category") %> :</strong> <span class="label label-info"><%= @blog_categories[@blog_message.blog_category_id] %></span><br>
            <span class="hidden-xs"><strong><%= I18n.t("blog_messages.show.user") %> :</strong> <i>[<%= @blog_utilisateurs[@blog_message.utilisateur_id] %>]</i><br></span>
            <strong><%= I18n.t("blog_messages.show.responses") %> :</strong> <span class="badge"><%= @responses.size %></span>
        </div>
    </div>

    <hr>
    
    <!-- TEXT -->
    <h3>
        <span class="label label-default"><%= I18n.t("blog_messages.show.article") %></span>
        <% if @blog_message.logbook and !@blog_message.reviewed %>
            &nbsp;&nbsp;&nbsp;<span class="text-danger">Not yet reviewed !</span>
        <% end %>
    </h3>
    <p>
        <strong><%= I18n.t("blog_messages.show.title") %> :</strong> <%= @blog_message.title.capitalize %>
    </p>
    <p>    
        <strong><%= I18n.t("blog_messages.show.description") %> :</strong><br>
        <%= @blog_message.description %>
    </p>
    <p>
        &nbsp;&nbsp;&nbsp;
        <% if @blog_message.logbook and @blog_message.reviewed==true and !@blog_message.reviewer.nil? %>
            <span class="text-muted">[Reviewed by <%= @reviewer %>]</span>
        <% end %>
    </p>
    
    <!-- BUTTONS -->
    <p>
        <!-- back -->
        <a href="<%= blog_messages_path %>" class="btn btn-info btn-xs" role="button"><%= I18n.t("blog_messages.show.back_to_articles") %></a>
        
        <!-- edit -->
        <% if is_manager_or_super_admin? or current_user.utilisateur.id==@blog_message.utilisateur_id %>
            <a href="<%= edit_blog_message_path(@blog_message) %>" class="btn btn-warning btn-xs" role="button"><%= I18n.t("blog_messages.show.edit_article") %></a>
        <% end %>

        <!-- add Wiki entry -->
        <% if @blog_message.logbook and (is_manager_or_super_admin? or current_user.utilisateur.id == @blog_message.utilisateur_id) %>
            &nbsp;&nbsp;&nbsp;
            <% unless @wiki_id.nil? %>
                <a href="<%= wiki_page_path(@wiki_id) %>" 
                    class="btn btn-default btn-xs" role="button">
                    <%= I18n.t("blog_messages.show.read_wiki") %>
                </a>
            <% else %>
                <a href="<%= new_wiki_page_path(blog_message_id: @blog_message.id) %>" 
                    class="btn btn-default btn-xs" role="button">
                    <%= I18n.t("blog_messages.show.create_wiki_page") %>
                </a>
            <% end %>
        <% end %>

        <!-- new respond -->
        &nbsp;&nbsp;&nbsp;
        <a href="<%= new_blog_response_path(blog_message_id: @blog_message) %>" class="btn btn-success btn-xs" role="button"><%= I18n.t("blog_messages.show.respond") %></a>

        <!-- review -->

        

        <% if @blog_message.logbook and (!@blog_message.reviewed or @blog_message.reviewed.nil?)  %>
            
            <% if is_manager_or_super_admin? and !(current_user.utilisateur.id == @blog_message.utilisateur_id) %>
                &nbsp;&nbsp;&nbsp;
                <a href="<%= review_blog_message_path(id: @blog_message) %>" 
                    class="btn btn-danger btn-xs" role="button">
                    <%= I18n.t("blog_messages.show.review") %>
                </a>
            <% end %>
        <% end %>

    </p>

    <!-- RESPONSES -->
    <% if @responses.size > 0 %>
        <hr>
        <h3><span class="label label-default"><%= I18n.t("blog_messages.show.responses") %></span></h3>
        <% @responses.each do |r| %>
            <div class="container">
                <div clas="row">
                    <div class="col-sm-2">
                        <strong><%= @blog_utilisateurs[r.utilisateur_id] %></strong><br>
                        <i>(<%= r.created_at %>)</i>
                    </div>
                    <div class="col-sm-10"><%= r.description %></div>
                </div>
            </div>
            <hr>
        <% end %>
        
        <p>
            <a href="<%= blog_messages_path %>" class="btn btn-info btn-xs" role="button"><%= I18n.t("blog_messages.show.back_to_articles") %></a>
        </p>
    <% end %>

</div>